dots.v2.functions.namespaces.byNamespace_id().triggers.post()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.functions.namespaces.byNamespace_id(namespace_id).triggers.post(body: Create_trigger, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | TriggersPostResponse>Description
Creates a new trigger for a given function in a namespace. To create a trigger, send a POST request to /v2/functions/namespaces/{namespace_id}/triggers with the name, function, type, is_enabled and scheduled_details properties.
Parameters
Path Parameters
namespace_idstring requiredExample:
fn-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxxThe ID of the namespace to be managed.
Request Body
namestring requiredExample:
my triggerThe trigger's unique name within the namespace.
functionEscapedstring requiredExample:
helloName of function(action) that exists in the given namespace.
typestring requiredExample:
SCHEDULEDOne of different type of triggers. Currently only SCHEDULED is supported.
isEnabledboolean requiredExample:
trueIndicates weather the trigger is paused or unpaused.
scheduledDetailsobject requiredTrigger details for SCHEDULED type, where body is optional.
Show child properties
cronstring requiredExample:
* * * * *valid cron expression string which is required for SCHEDULED type triggers.
bodyobject or null optionalOptional data to be sent to function while triggering the function.
Show child properties
namestring optionalExample:
Welcome to DO!
Request Sample
Response Example
More Information
See /v2/functions/namespaces/{namespace_id}/triggers in the API reference for additional detail on responses, headers, parameters, and more.